﻿using System;
using System.Data;
using System.Configuration;
using System.Linq;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.HtmlControls;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Xml.Linq;
using System.Collections.Generic;

/// <summary>
/// Summary description for Utility
/// </summary>
public static class Utility {
	public static List<Persona> RecuperaPersone() {
		return new List<Persona>{
			new Persona { Nome = "Stefano", Cognome = "Mostarda", Eta = 28, Citta="Roma", DataNascita=new DateTime(1979, 04, 11),
				Figli = new List<Persona> {
					new Persona { Nome = "Giulio", Cognome = "Mostarda", Eta = 17, Citta="Roma", DataNascita=new DateTime(1990, 04, 11) },
					new Persona { Nome = "Carlo", Cognome = "Mostarda", Eta = 17, Citta="Roma", DataNascita=new DateTime(1990, 04, 11) }
				}
			},
			new Persona { Nome = "Daniele", Cognome = "Bochicchio", Eta = 28, Citta = "Vulture", DataNascita = new DateTime(1979, 10, 20),
				Figli = new List<Persona> {
					new Persona { Nome = "Giulio", Cognome = "Bochicchio", Eta = 17, Citta="Roma", DataNascita=new DateTime(1990, 04, 11) },
					new Persona { Nome = "Carlo", Cognome = "Bochicchio", Eta = 17, Citta="Roma", DataNascita=new DateTime(1990, 04, 11) }
				}
			},
			new Persona { Nome = "Riccardo", Cognome = "Golia", Eta = 35, Citta = "Padova", DataNascita = new DateTime(1974, 10, 20), 
				Figli = new List<Persona> {
					new Persona { Nome = "Giulio", Cognome = "Golia", Eta = 17, Citta="Roma", DataNascita=new DateTime(1990, 04, 11) },
				}
			},
			new Persona { Nome = "Cristian", Cognome = "Civera", Eta = 25, Citta = "Brescia", DataNascita = new DateTime(1981, 10, 20),
				Figli = new List<Persona> {
					new Persona { Nome = "Giulio", Cognome = "Civera", Eta = 17, Citta="Roma", DataNascita=new DateTime(1990, 04, 11) },
					new Persona { Nome = "Emanuele", Cognome = "Civera", Eta = 17, Citta="Roma", DataNascita=new DateTime(1990, 04, 11) },
					new Persona { Nome = "Carlo", Cognome = "Civera", Eta = 17, Citta="Roma", DataNascita=new DateTime(1990, 04, 11) }
				}
			},
			new Persona { Nome = "Marco", Cognome = "Leoncini", Eta = 35, Citta = "Empoli", DataNascita = new DateTime(1975, 9, 1),
				Figli = new List<Persona> ()
			}
		};
	}
	public static List<Persona> RecuperaPersoneConDuplicati() {
		return new List<Persona>{
			new Persona { Nome = "Stefano", Cognome = "Mostarda", Eta = 28, Citta="Roma", DataNascita=new DateTime(1979, 04, 11) },
			new Persona { Nome = "Daniele", Cognome = "Bochicchio", Eta = 28, Citta = "Vulture", DataNascita = new DateTime(1979, 10, 20) },
			new Persona { Nome = "Riccardo", Cognome = "Golia", Eta = 35, Citta = "Padova", DataNascita = new DateTime(1974, 10, 20) },
			new Persona { Nome = "Cristian", Cognome = "Civera", Eta = 25, Citta = "Brescia", DataNascita = new DateTime(1981, 10, 20) },
			new Persona { Nome = "Marco", Cognome = "Leoncini", Eta = 35, Citta = "Empoli", DataNascita = new DateTime(1975, 9, 1) },
			new Persona { Nome = "Stefano", Cognome = "Mostarda", Eta = 28, Citta="Roma", DataNascita=new DateTime(1979, 04, 11) },
			new Persona { Nome = "Cristian", Cognome = "Civera", Eta = 25, Citta = "Brescia", DataNascita = new DateTime(1981, 10, 20) },
		};
	}
	public static List<Persona> RecuperaAltrePersone() {
		return new List<Persona>{
			new Persona { Nome = "Ugo", Cognome = "Lattanzi", Eta = 30, Citta="SBT", DataNascita=new DateTime(1979, 04, 11),
				Figli = new List<Persona> {
					new Persona { Nome = "Giulio", Cognome = "Lattanzi", Eta = 17, Citta="Roma", DataNascita=new DateTime(1990, 04, 11) },
					new Persona { Nome = "Carlo", Cognome = "Lattanzi", Eta = 17, Citta="Roma", DataNascita=new DateTime(1990, 04, 11) }
				}
			},
			new Persona { Nome = "Daniele", Cognome = "Bochicchio", Eta = 28, Citta = "Vulture", DataNascita = new DateTime(1979, 10, 20),
				Figli = new List<Persona> {
					new Persona { Nome = "Giulio", Cognome = "Bochicchio", Eta = 17, Citta="Roma", DataNascita=new DateTime(1990, 04, 11) },
					new Persona { Nome = "Carlo", Cognome = "Bochicchio", Eta = 17, Citta="Roma", DataNascita=new DateTime(1990, 04, 11) }
				}
			},
			new Persona { Nome = "Riccardo", Cognome = "Golia", Eta = 35, Citta = "Padova", DataNascita = new DateTime(1974, 10, 20), 
				Figli = new List<Persona> {
					new Persona { Nome = "Giulio", Cognome = "Golia", Eta = 17, Citta="Roma", DataNascita=new DateTime(1990, 04, 11) },
				}
			},
			new Persona { Nome = "Cristian", Cognome = "Paparelli", Eta = 32, Citta = "Brescia", DataNascita = new DateTime(1981, 10, 20),
				Figli = new List<Persona> {
					new Persona { Nome = "Giulio", Cognome = "Paparelli", Eta = 17, Citta="Roma", DataNascita=new DateTime(1990, 04, 11) },
					new Persona { Nome = "Emanuele", Cognome = "Paparelli", Eta = 17, Citta="Roma", DataNascita=new DateTime(1990, 04, 11) },
					new Persona { Nome = "Carlo", Cognome = "Paparelli", Eta = 17, Citta="Roma", DataNascita=new DateTime(1990, 04, 11) }
				}
			},
			new Persona { Nome = "Andrea", Cognome = "Zani", Eta = 35, Citta = "Bergamo", DataNascita = new DateTime(1975, 9, 1),
				Figli = new List<Persona> ()
			},
			new Persona { Nome = "Alessio", Cognome = "Leoncini", Eta = 35, Citta = "Empoli", DataNascita = new DateTime(1975, 9, 1),
				Figli = new List<Persona> ()
			}
		};
	}
}