﻿using System;
using System.Data;
using System.Configuration;
using System.Linq;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.HtmlControls;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Xml.Linq;
using System.Collections.Generic;

public class Persona {
	public Persona() {
	}
	public string Nome { get; set; }
	public string Cognome { get; set; }
	public int Eta { get; set; }
	public string Citta { get; set; }
	public DateTime DataNascita { get; set; }
	public IList<Persona> Figli { get; set; }

	public override bool Equals(object obj) {
		Persona p = (Persona)obj;
		return Nome == p.Nome && Cognome == p.Cognome;
	}
	public override int GetHashCode() {
		return Nome.GetHashCode() ^ Cognome.GetHashCode();
	}
}